Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine.fonts
Class PSFontFinder

    java.lang.Object
      com.rie.rieps.engine.fonts.PSFontFinder

    public class PSFontFinder

extends java.lang.Object

Author:
  Yves Piel

Constructor Summary
`PSFontFinder()` Creates a new instance of PSFontFinder

Method Summary
`void` | `addMappingFile(java.io.File f)` Load a properties file which contains awt description = psfont description
`boolean` | `askForUnkownAWTFont()`
`void` | `askForUnkownAWTFont(boolean askForUnkownAWTFont)`
`java.util.Map` | `getAwtPSMapping()` Clone the AWT->PSFont mapping and return it.
`boolean` | `isEchoMapping()`
`static void` | `main(java.lang.String[] args)`
`PSFont` | `searchPSFont(java.awt.Font fnt)` Gives a PSfont from a awt one.
`void` | `setAvailableDeviceFont(java.lang.String[] deviceFnt)`
`void` | `setEchoMapping(boolean echoMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSFontFinder

    public PSFontFinder()

  Creates a new instance of PSFontFinder

Method Detail

### setAvailableDeviceFont

    public void setAvailableDeviceFont(java.lang.String[] deviceFnt)

### addMappingFile

    public void addMappingFile(java.io.File f)
                        throws java.io.IOException

  Load a properties file which contains awt description = psfont description

  Throws:
    `java.io.IOException`

### searchPSFont

    public PSFont searchPSFont(java.awt.Font fnt)

  Gives a PSfont from a awt one. If no font is founded it return @see{PSFont.DEFAULT}.

### askForUnkownAWTFont

    public boolean askForUnkownAWTFont()

### askForUnkownAWTFont

    public void askForUnkownAWTFont(boolean askForUnkownAWTFont)

### getAwtPSMapping

    public java.util.Map getAwtPSMapping()

  Clone the AWT->PSFont mapping and return it.

### main

    public static final void main(java.lang.String[] args)

### isEchoMapping

    public boolean isEchoMapping()

### setEchoMapping

    public void setEchoMapping(boolean echoMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD